Package org.jboss.classfilewriter

## Class ClassMethod

- java.lang.Object
- - org.jboss.classfilewriter.ClassMethod

All Implemented Interfaces:
  `WritableEntry`

    public class ClassMethod
    extends java.lang.Object
    implements WritableEntry

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCheckedExceptions​(java.lang.Class<? extends java.lang.Exception>... exceptions)`
`void` `addCheckedExceptions​(java.lang.String... exceptions)`
`boolean` `equals​(java.lang.Object obj)`
`int` `getAccessFlags()`
`ClassFile` `getClassFile()`
`CodeAttribute` `getCodeAttribute()`
`java.lang.String` `getDescriptor()`
`java.lang.String` `getName()`
`java.lang.String[]` `getParameters()`
`java.lang.String` `getReturnType()`
`AnnotationsAttribute` `getRuntimeVisibleAnnotationsAttribute()`
`ParameterAnnotationsAttribute` `getRuntimeVisibleParameterAnnotationsAttribute()`
`java.lang.String` `getSignature()`
`int` `hashCode()`
`boolean` `isConstructor()`
`boolean` `isStatic()`
`void` `setSignature​(java.lang.String signature)`
`java.lang.String` `toString()`
`void` `write​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### addCheckedExceptions

    public void addCheckedExceptions​(java.lang.Class<? extends java.lang.Exception>... exceptions)

#### addCheckedExceptions

    public void addCheckedExceptions​(java.lang.String... exceptions)

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws java.io.IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `java.io.IOException`

#### getCodeAttribute

    public CodeAttribute getCodeAttribute()

#### getAccessFlags

    public int getAccessFlags()

#### getReturnType

    public java.lang.String getReturnType()

#### getParameters

    public java.lang.String[] getParameters()

#### getName

    public java.lang.String getName()

#### getDescriptor

    public java.lang.String getDescriptor()

#### isConstructor

    public boolean isConstructor()

#### isStatic

    public boolean isStatic()

#### getClassFile

    public ClassFile getClassFile()

#### getRuntimeVisibleAnnotationsAttribute

    public AnnotationsAttribute getRuntimeVisibleAnnotationsAttribute()

#### getRuntimeVisibleParameterAnnotationsAttribute

    public ParameterAnnotationsAttribute getRuntimeVisibleParameterAnnotationsAttribute()

#### getSignature

    public java.lang.String getSignature()

#### setSignature

    public void setSignature​(java.lang.String signature)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`